#
# spec file for package xvhelp (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xv32base xv32dev

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xvhelp
Release:      12
Copyright:    Public Domain
Group: 
Provides:     XVhelp xvhelp10 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      A help system based on Openlook
Source: XVhelp-1.00.tar.gz
Patch: XVhelp-1.00.dif
%description
This package includes a help browser (xvhelp - similar to the MS Windows
Help system) and a compiler (hcc) to create your own help files. This version
of xvhelp uses /usr/openwin/lib/help as the directory for help files.
Documentation: /usr/doc/packages/xvhelp

Authors:
--------
    Roberto Surlinelli
    Luca Maranzano
    Guido Cardino <calamaro@dist.dist.unige.it>

%prep
%setup -n XVhelp-1.00
%patch
rm -f datastr.a
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/openwin/lib
%dir /usr/openwin/lib/help
/usr/X11R6/bin/hcc
/usr/X11R6/bin/xvhelp
%docdir /usr/doc/packages/xvhelp
/usr/doc/packages/xvhelp
/usr/openwin/lib/help/help.hdf
/usr/openwin/lib/help/help.hlp
/usr/openwin/lib/help/help.hrf

